Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | List of all members
LatBuilder::LatDef< LAT > Class Template Reference

Definition of a rank-1 lattice. More...

`#include <LatDef.h>`

## Public Member Functions
| LatDef (SizeParam< LAT > sizeParam=SizeParam< LAT >(), GeneratingVector gen=GeneratingVector())
| Constructor. More...
template<LatType L>
| LatDef (const LatDef< L > &other)
SizeParam< LAT > & | sizeParam ()
| Returns the size parameter of the lattice.
const SizeParam< LAT > & | sizeParam () const
| Returns the size parameter of the lattice. More...
GeneratingVector & | gen ()
| Returns the generating vector of the lattice.
const GeneratingVector & | gen () const
| Returns the generating vector of the lattice. More...
Dimension | dimension () const
| Returns the dimension of the lattice.
bool | operator== (const LatDef &other) const
| Returns `true` this instance is equal to `other`.
bool | operator!= (const LatDef &other) const
| Returns `true` this instance is not equal to `other`.
bool | operator< (const LatDef &other) const
| Returns `true` this instance has a smaller size than `other`, or if it has the same size and a smaller lexicographic rank for its generating vector than `other`.

## Detailed Description

### template<LatType LAT>
class LatBuilder::LatDef< LAT >

Definition of a rank-1 lattice.

Defining parameters:

- lattice size parameter;
- generating vector.

Template Parameters

  LAT | Type of lattice.

Examples:
  tutorial/FilteredRCBC.cc, tutorial/LatDef.cc, tutorial/MeritSeqCBCSignals.cc, tutorial/WeightedFigureOfMerit.cc, tutorial/WeightedFigureOfMeritCBC.cc, and tutorial/WeightedFigureOfMeritSignals.cc.

## Constructor & Destructor Documentation

template<LatType LAT>

LatBuilder::LatDef< LAT >::LatDef | ( | SizeParam< LAT > | sizeParam = `SizeParam<LAT>()`,
|  | GeneratingVector | gen = `GeneratingVector()`
| ) |  |
| inline

Constructor.

Parameters

  sizeParam | Size parameter of the lattice.
  gen | Generating vector.

## Member Function Documentation

template<LatType LAT>

const GeneratingVector& LatBuilder::LatDef< LAT >::gen | ( |  | ) | const
| inline

Returns the generating vector of the lattice.

template<LatType LAT>

const SizeParam<LAT>& LatBuilder::LatDef< LAT >::sizeParam | ( |  | ) | const
| inline

Returns the size parameter of the lattice.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/LatDef.h